Bug 474495 (CVE-2008-5700) - CVE-2008-5700 kernel: enforce a minimum SG_IO timeout
Summary: CVE-2008-5700 kernel: enforce a minimum SG_IO timeout
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5700
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 475403 475404 475405 475406 475407
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-04 02:20 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:27 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-24 03:50:12 UTC


Attachments (Terms of Use)
Upstream patch (2.20 KB, patch)
2008-12-09 03:25 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0053 0 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2009-02-04 15:05:12 UTC
Red Hat Product Errata RHSA-2009:0326 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-04-01 08:28:02 UTC
Red Hat Product Errata RHSA-2009:0331 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-03-12 14:41:10 UTC

Description Eugene Teo (Security Response) 2008-12-04 02:20:10 UTC
From Alan Cox:

Looks like libata needs to enforce sensible minimum timeouts on SG_IO
requests otherwise the code below (especially run ten at a time) which I was
using to try and duplicate the kerneloops logged errors produces long spews
of errors and forces the drives into PIO run as any user..

Comment 3 Eugene Teo (Security Response) 2008-12-09 03:12:00 UTC
Consensus is to enforce a minimum 7 second timeout (which is the timeout windoze uses for general commands on ATA).

You need to be able to open the cdrom device (i.e. login as a normal user from the console and then access it via ssh) or access to /dev/sg* which is root only in all sane systems.

Comment 5 Eugene Teo (Security Response) 2008-12-09 03:25:04 UTC
Created attachment 326257 [details]
Upstream patch

Comment 11 errata-xmlrpc 2009-03-12 14:41:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0331 http://rhn.redhat.com/errata/RHSA-2009:0331.html

Comment 12 errata-xmlrpc 2009-04-01 08:31:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0326 https://rhn.redhat.com/errata/RHSA-2009-0326.html

Comment 15 Vincent Danen 2010-12-24 03:50:12 UTC
This was also addressed via:

MRG Realtime for RHEL 5 Server (RHSA-2009:0053)


Note You need to log in before you can comment on or make changes to this bug.